{
    static void Main()
    {
        int n, visina;
        string[] input = Console.ReadLine().Split(' ');
        n = int.Parse(input[0]);
        visina = int.Parse(input[1]);
        
        List<int> arr = new List<int>();
        string[] heights = Console.ReadLine().Split(' ');
        for (int i = 0; i < n; i++)
        {
            arr.Add(int.Parse(heights[i]));
        }

        int brojac = 0;

        for (int i = 0; i < n; i++)
        {
            if (arr[i] > visina)
            {
                brojac++;
            }
            else
            {
                break;
            }
        }

        brojac = brojac + 1;

        if (brojac > n)
        {
            Console.WriteLine(-1);
        }
        else
        {
            Console.WriteLine(brojac);
        }
    }
}